Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454806 - Xorg/xfs not compatible with old xfs FontPath
Summary: Xorg/xfs not compatible with old xfs FontPath
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-xfs
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-10 03:48 UTC by James Antill
Modified: 2018-04-11 08:54 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-15 08:20:24 UTC


Attachments (Terms of Use)

Description James Antill 2008-07-10 03:48:24 UTC
Description of problem:
 When you start X natuilus/metacity/etc. die, and gnome-panel eats 100% CPU.
Eventually I managed to get a terminal and run metacity by hand, at which point
it said it couldn't find the "fixed" font. After more searching and guessing I
changed my xorg.conf from:

FontPath     "unix/:7100"

...to:

FontPath     "/tmp/.font-unix/fs7100"

Version-Release number of selected component (if applicable):

Installed Packages
xorg-x11-server-Xorg.x86_64              1.4.99.905-1.20080701.
xorg-x11-xfs.x86_64                      1:1.0.5-2.fc9
Available Packages
xorg-x11-xfs-utils.x86_64                1:1.0.5-2.fc9          fedora          


How reproducible:
 Always

Additional info:
 This was after dealing with 374901 ... so maybe that has something to do with
it? As I assume this can't be happening to many people.

Comment 1 James Antill 2008-07-10 04:02:12 UTC
 My bad, I meant to fixup the summary line before hitting submit.

Comment 3 Kristian Høgsberg 2008-07-15 16:01:32 UTC
You don't need a fontpath or xfs anymore, unless you spefically want to use a
font server to provide fonts on your network.  You should be able to just drop
the FontPath line from xorg.conf and things should work.  Cheers.

Comment 4 James Antill 2008-07-15 16:23:58 UTC
 Ok, could system-config-display stop generating xorg.conf files with FontPath
lines in them then?

 Also, should I just remove the Section "Files" ... or have an empty one?


Comment 5 Bug Zapper 2009-06-10 02:00:41 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2009-07-15 08:20:24 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.